//***************************************************************************//
//* libreadplus: command-line dialog utility.                               *//
//* ask: retrieve one item (a number, a word, ...) from stack or ask for it *//
//* (C) Joachim Wuttke 2001, 2012-                                          *//
//* http://apps.jcns.fz-juelich.de                                          *//
//***************************************************************************//

//! Retrieve or query a Boolean value, no default.
bool   bask( const std::string& quest);
//! Retrieve or query an integer value, no default.
int    iask( const std::string& quest);
//! Retrieve or query an index value, no default.
size_t zask( const std::string& quest);
//! Retrieve or query a double value, no default.
double dask( const std::string& quest);
//! Retrieve or query a word, no default.
std::string wask( const std::string& quest);
//! Retrieve or query a std::string, no default.
std::string sask( const std::string& quest);

//! Retrieve or query a Boolean value, with default.
bool   bask( const std::string& quest, const bool&   v);
//! Retrieve or query an integer value, with default.
int    iask( const std::string& quest, const int&    v);
//! Retrieve or query an index value, with default.
size_t zask( const std::string& quest, const size_t& v);
//! Retrieve or query a double value, with default.
double dask( const std::string& quest, const double& v);
//! Retrieve or query a word, with default.
std::string wask( const std::string& quest, const std::string& v);
//! Retrieve or query a std::string, with default.
std::string sask( const std::string& quest, const std::string& v);
